<?php
//controller
class ControllerPaymentErip extends Controller {
    private $error = array();

    public function index() {
	
		$this->load->language('payment/erip');
		
		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('erip', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));		
		}
		
		# ,     
		$data['heading_title']      = $this->language->get('heading_title');
		$data['button_save']        = $this->language->get('button_save');
		$data['button_cancel']      = $this->language->get('button_cancel');
		$data['error_warning']      = $this->language->get('error_warning');

		$data['entry_merchant']		= $this->language->get('entry_merchant');
		$data['merchant_comment']		= $this->language->get('merchant_comment');

		$data['entry_webkey']       = $this->language->get('entry_webkey');
		$data['webkey_comment']		= $this->language->get('webkey_comment');

		$data['entry_expires']      = $this->language->get('entry_expires');
		$data['expires_comment']    = $this->language->get('expires_comment');
		$data['text_enabled']       = $this->language->get('text_enabled');
		$data['text_disabled']      = $this->language->get('text_disabled');
		$data['entry_status']       = $this->language->get('entry_status');
		$data['sort_order_label']   = $this->language->get('sort_order_label');
		
		$data['entry_order_status_id']     = $this->language->get('entry_order_status_id');
		$data['entry_processing_status_id']  = $this->language->get('entry_processing_status_id');
		$data['entry_canceled_status_id']  = $this->language->get('entry_canceled_status_id');

		$data['button_cancel']      = $this->language->get('button_cancel');
		$data['text_edit']          = $this->language->get('text_edit');
		
	
		$data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');
		
		if (isset($this->error['merchant'])) {
			$data['error_merchant'] = $this->error['merchant'];
		} else {
			$data['error_merchant'] = '';
		}

		if (isset($this->error['webkey'])) {
			$data['error_webkey'] = $this->error['webkey'];
		} else {
			$data['error_webkey'] = '';
		}
		if (isset($this->error['expires'])) {
			$data['error_expires'] = $this->error['expires'];
		} else {
			$data['error_expires'] = '';
		}
	

		$data['breadcrumbs'] = array();

   		$data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_payment'),
			'href'      => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);

   		$data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('payment/erip', 'token=' . $this->session->data['token'], 'SSL'),      		
      		'separator' => ' :: '
   		);

		$data['action'] = $this->url->link('payment/erip', 'token=' . $this->session->data['token'], 'SSL');
		
		$data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');
		
	
		if (isset($this->request->post['erip_merchant'])) {
			$data['erip_merchant'] = $this->request->post['erip_merchant'];
		} else {
			$data['erip_merchant'] = $this->config->get('erip_merchant');
		}

		if (isset($this->request->post['erip_webkey'])) {
			$data['erip_webkey'] = $this->request->post['erip_webkey'];
		} else {
			$data['erip_webkey'] = $this->config->get('erip_webkey');
		}

		if (isset($this->request->post['erip_expires'])) {
			$data['erip_expires'] = $this->request->post['erip_expires'];
		} elseif ($this->config->has('erip_expires')) {
			$data['erip_expires'] = $this->config->get('erip_expires');
		} else {
			$data['erip_expires'] = '2';
		}

		$this->load->model('localisation/order_status');
		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->request->post['erip_sort_order'])) {
			$data['erip_sort_order'] = $this->request->post['erip_sort_order'];
		} else {
			$data['erip_sort_order'] = $this->config->get('erip_sort_order');
		}

		if (isset($this->request->post['erip_status'])) {
			$data['erip_status'] = $this->request->post['erip_status'];
		} else {
			$data['erip_status'] = $this->config->get('erip_status');
		}
	
		if (isset($this->request->post['erip_order_status_id'])) {
			$data['erip_order_status_id'] = $this->request->post['erip_order_status_id'];
		} elseif ($this->config->has('erip_order_status_id')) {
			$data['erip_order_status_id'] = $this->config->get('erip_order_status_id');
		} else {
			$data['erip_order_status_id'] = '1';
		}

		if (isset($this->request->post['erip_processing_status_id'])) {
			$data['erip_processing_status_id'] = $this->request->post['erip_processing_status_id'];
		} elseif ($this->config->has('erip_processing_status_id')) {
			$data['erip_processing_status_id'] = $this->config->get('erip_processing_status_id');
		} else {
			$data['erip_processing_status_id'] = '5';
		}

		if (isset($this->request->post['erip_canceled_status_id'])) {
			$data['erip_canceled_status_id'] = $this->request->post['erip_canceled_status_id'];
		} elseif ($this->config->has('erip_canceled_status_id')) {
			$data['erip_canceled_status_id'] = $this->config->get('erip_canceled_status_id');
		} else {
			$data['erip_canceled_status_id'] = '10';
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('payment/erip.tpl', $data));
    }

	protected function validate() {
		
		if (!$this->request->post['erip_merchant']) {
			$this->error['merchant'] = $this->language->get('error_merchant');
		}

		if (!$this->request->post['erip_webkey']) {
			$this->error['webkey'] = $this->language->get('error_webkey');
		}

		if (!$this->request->post['erip_expires']) {
			$this->error['expires'] = $this->language->get('error_expires');
		}
		return !$this->error;
	}
}
?>